# Type Alias JoinField

type JoinField = {
lookupFunction?: (row: Row) => Promise<Value>;
ontable?: string;
ref: string;
rename_object?: string[];
target: string;
through?: string | string[];
}

- Defined in dbtypes.ts:68

##### Index

### Properties

lookupFunction?
ontable?
ref
rename_object?
target
through?

## Properties

### `Optional` lookupFunction

lookupFunction?: (row: Row) => Promise<Value>

- Defined in dbtypes.ts:74

### `Optional` ontable

ontable?: string

- Defined in dbtypes.ts:73

### ref

ref: string

- Defined in dbtypes.ts:69

### `Optional` rename_object

rename_object?: string[]

- Defined in dbtypes.ts:72

### target

target: string

- Defined in dbtypes.ts:70

### `Optional` through

through?: string | string[]

- Defined in dbtypes.ts:71